<!DOCTYPE html>
{% load static %}
<html lang="en" class="h-100">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Fast Project Listing Site">
  <meta name="author" content="FAST">
  <title>{% block title %}FAST Project List{% endblock %}</title>

  <!-- Bootstrap core CSS -->
  <link rel="stylesheet" href="{% static 'bootstrap/bootstrap.min.css' %}" />
  <link rel="stylesheet" href="{% static 'style.css' %}?v2" />
  {% block head %}
  {% endblock %}
</head>

<body class="">
  <!-- Begin page content -->
  <!--
    <nav id="navbar" class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 justify-content-start flex-basis-50">
      <a class="navbar-brand col-sm-3 col-md-3 mr-0 flex-shrink-0 flex-grow-0 mw-100" href="/">
        <img src="{% static 'images/logo-small.png' %}" width="30" height="30" class="d-inline-block align-top">
        <span class="d-inline-block align-bottom lead">FAST Project Listing</span>
      </a>
      <div class="flex-grow-1"></div>
      <div class="px-3" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'about' %}">About</a>
          </li>
        </ul>
      </div>
      <form class="form-inline" action="/" method="get">
        <div class="input-group input-group-sm mr-2">
          <input type="search" class="form-control" placeholder="Search" aria-label="Project Search" aria-describedby="basic-addon2" value="{{request.GET.q}}" name="q">

          <div class="input-group-append">
            <button class="btn btn-outline-secondary" type="button">Search</button>
          </div>
        </div>
      </form>

      
    </nav>
  -->
  <header>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="/">FAST Project Listing</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
        aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link" href="/">List <span class="sr-only"></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/about">About</a>
          </li>
          <li class="nav-item">
            {% if user.is_authenticated %}
            <a class="nav-link" href="/admin">Admin</a>
            {% endif %}
          </li>
        </ul>
        <form class="form-inline mt-2 mt-md-0" action="/" method="get">
          <input class="form-control form-control-sm mr-sm-2" type="text" placeholder="Search" aria-label="Search" value="{{request.GET.q}}" name="q">
          <button class="btn btn-sm btn-outline-secondary my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>
  </header>
  <main role="main" class="flex-shrink-0">
    <div class="container">
      {% block body %}
      {% endblock %}
    </div>
  </main>

  <footer class="footer page-footer font-small blue d-print-none">
    <!-- Copyright -->
    <div class="footer-copyright text-center small">
      The FAST Project List and associated tools are maintaned by FAST (Faculty & Academic-Support Software Team).
    </div>
    <!-- Copyright -->

  </footer>



  <script src="{% static 'bootstrap/jquery-3.5.1.slim.min.js' %}"></script>
  <script src="{% static 'bootstrap/popper.min.js' %}"></script>
  <script src="{% static 'bootstrap/bootstrap.bundle.min.js' %}"></script>
  {{js_context|default:"{}"|json_script:"js-context" }}
  <script>
    window.CONTEXT = JSON.parse(document.getElementById('js-context').textContent)
  </script>
  {% block scripts %}
  {% endblock %}
</body>

</html>
